function cbounds = bounds(x,numstd);
%[mi, ma] = bounds(x,numstd);
%[mi, ma] = bounds(x);

if(nargin == 1)
    numstd = 2.5;
end
s = size(x);
len = 1;
for i = 1:length(s)
    len = len*s(i);
end
y = 1:len;
for i = 1:len
    y(i) = x(i);
end
y = y(find(y*0 == 0));
me = mean(y);
st = std(y);
mi = me - numstd*st;
ma = me + numstd*st;
cbounds = [max([mi gmin(x)]) min([ma gmax(x)])];
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function mi = gmin(x)
%mi = gmin(x)
%
%Grand min of x;

mi = min(flatten(x));
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function ma = gmax(x)
%ma = gmax(x)
%
%Grand max of x;

ma = max(flatten(x));
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%